#!/usr/bin/perl -w

# linhat_ai1.pl
# Linhat AI
# by Joel R. Voss
# A mysql database driven robot that acts similar to winhat.

# get_words(20) gives us a line of words.
use PFM::china;

use PFM::linhat_ai1;

my $user = "Javantea";

$get_user = 0;
$get_stdin = 1;
$get_china = 0;
$add_data = 1;

foreach (@ARGV) {
	if($get_user == 1) {
		$user = $_;
		$get_user = 0;
	}
	elsif($_ eq '-u') {
		$get_user = 1;
	}
	elsif($_ eq '-c') {
		$get_china = 1;
		$get_stdin = 0;
	}
	elsif($_ eq '-s') {
		$get_china = 0;
		$get_stdin = 1;
	}
	elsif($_ eq '-f') {
		$add_data = 0;
	}
	elsif($_ eq '-h') {
		&usage();
		exit 1;
	}
}

# Get a line of data from PFM::china.
my $data = "";
if($get_china == 1) {
	$data = get_words(8);
}
elsif($get_stdin == 1) {
	$data = <STDIN>;
}

($sec,$min,$hr,$moDay,$month,$year)=localtime(time);
$month++;
$year+=1900;
my $date = "$year-$month-$moDay $hr:$min:$sec";
#print $date . "\n";

if($add_data)
{
	# Grab the user.
	my @users = get_user($user);
	if(!@users)
	{
		# If the user doesn't exist, add them for future reference.
		add_user($user);
	}
	
	# Input the data.
	input_data($user, $data, $date);
}
print find_data($data) . "\n";

exit_ai();

# This adds a user with the given username.
sub usage
{
	print "Linhat AI 1\n" .
	"by Joel R. Voss\n" .
	"Dec 6, 2005\n" .
	"Usage: linhat_ai1.pl [-u user] [-c | -s] [-f] [-h]\n" .
	"  -u user    Specify the user.\n" .
	"  -c         Use PFM/china2.pm to get data.\n" .
	"  -s         Use STDIN to get data [default].\n" .
	"  -f         Do not input data, only search.\n" .
	"  -h         Display this Usage information.\n";
}


